cURL
curl --request GET \ --url https://us.infisical.com/api/v1/organization/roles/{roleId} \ --header 'Authorization: Bearer <token>'
{ "role": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "slug": "<string>", "permissions": [ { "action": "<string>", "subject": "<string>", "conditions": "<unknown>", "inverted": true } ], "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "description": "<string>" } }
Get an organization role
Documentation IndexFetch the complete documentation index at: https://infisical.com/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://infisical.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
An access token in Infisical
The ID of the role to get.
Default Response
Show child attributes
Was this page helpful?